> For the complete documentation index, see [llms.txt](https://docs.interactive.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.interactive.ai/cli/iai_connectors_verify.md).

# iai connectors verify

Re-verify a connector and refresh its tools

## Synopsis

Re-dial the MCP server for a connector (initialize + list tools) and refresh the cached tool list. Reports the status and, on failure, the error class and message.

```
iai connectors verify <connector_id> [flags]
```

## Examples

```
  iai connectors verify 3f9c1a2e-...
  iai connectors verify 3f9c1a2e-... --json
```

## Options

```
  -h, --help   help for verify
      --json   Output raw API response as JSON
      --yaml   Output raw API response as YAML
```

## Options inherited from parent commands

```
      --api-key string               API key for authentication
      --cfg-file string              Path to YAML config file with organization, project, and optional service definitions
      --deployment-hostname string   Hostname for the deployment API (default "https://deployment.interactive.ai")
      --hostname string              Hostname for the API (default "https://app.interactive.ai")
  -o, --organization string          Organization name that owns the project
  -p, --project string               Project name that owns the connectors
```

## SEE ALSO

* [iai connectors](/cli/iai_connectors.md) - Manage MCP connectors in a project


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.interactive.ai/cli/iai_connectors_verify.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
